<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>T55.2</title>
    <link rel="stylesheet" href="../style.css">
</head>
<body>
<header>
    <h1>Zadanie T55.2</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
<p>Dana jest tablica zawierająca imiona. Napisz funkcję, która wypisuje ilość imion żeńskich zapisanych w tablicy. Dla uproszczenia zakładamy, że imiona żeńskie to te, które kończą się na literę "a". Proszę uwzględnić imiona Kuba i Barnaba.</p>
</div>
<div class="box">
    <?php
    function splitAndLowerText($imiona): array
    {
        $imiona = strtolower($imiona);
        $imiona = explode(", ", $imiona);
        return $imiona;
    }
    function ktoreZenskie($imiona): int
    {
        $imiona = splitAndLowerText($imiona);
        $licznik = 0;
        foreach ($imiona as $imie) {
            if (mb_substr($imie, -1) == "a" && $imie != "kuba" && $imie != "barnaba") {
                $licznik++;
            }
        }
        return $licznik;
    }
    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        $imiona = htmlspecialchars($_POST["imiona"]);
        $liczbaZenskich = ktoreZenskie($imiona);
        echo "Podane imiona: " . htmlspecialchars($imiona) . "<br>";
        echo "Liczba imion żeńskich: " . $liczbaZenskich . "<br>";
        echo '<button><a href="index.php">Powrót do formularza</a></button>';
    } else {
        echo '<form action="index.php" method="post">
                <label for="imiona">Podaj imiona oddzielone przecinkami: </label><br>
                <input type="text" name="imiona" id="imiona" placeholder="Anna, Kasia, Kuba, Barnaba" required><br>
                <button type="submit">Oblicz</button>
              </form>';
    }
    ?>
</div>
</body>
</html>